# SimpleLink<sup>&#x2122;</sup> ImageCreator Debug Tool
--------
This tool connects to the device and retrieves its properties, such as device type, flash size, and MAC address.
When in development mode, the tool supports on-line access to the device file system.

# Requirements
--------
***Target Hardware:***

The SimpleLink<sup>&#x2122;</sup> WiFi<sup>&#x00AE;</sup> CC3220S, CC3220SF, CC3235S, or CC3235SF LaunchPad<sup>&#x2122;</sup>.

***Target Software:***

Software built with SimpleLink Wi-Fi [CC32xx SDK](https://www.ti.com/tool/SIMPLELINK-CC32XX-SDK).

# Instructions
--------

To start, please plug the LaunchPad into your computer's USB port and close this README.md file.

The GUI should automatically connect with your LaunchPad, but if it gets stuck "waiting for reset...", you may have to manually reset your board.

* You can click the ![](images/disconnected.gif) button in the status bar at the bottom of the GUI to connect to the LaunchPad.
* 
Once connected, clicking on the ![](images/connected.gif) button in the status bar will disconnect from the LaunchPad.

To see this README again once it has been closed, please select *Help / View README.md*

## Device File Browser

A SimpleLink Wi-Fi device programmed with a development image allows for browsing its file system, including user files and system files.

Many system files can not be viewed in the file list, and have no read/write access.

This online browser edits the file on the device serial flash; these changes do not affect the programming
image that is prepared on the offline ImageCreator tool.

To view the file browser, select the icon from the left-hand menu: ![](images/file_browser_icon.png)

To open a file, add a file, upload or download a file, or to refresh the file tree, select the icon from the top-right menu: ![](images/file_menu.png)

## Troubleshooting

* **TypeError: _self.serial.setSignals is not a function**: This means you have an old version of TI Cloud Agent installed. Open your browser settings and disable the TI Cloud Agent Extension. Refresh the app, and you will be prompted to download and install the latest Cloud Agent. After installing, re-enable the TI Cloud Agent extension and press the Finish button to restart the app.

* **Error: Timeout on reading data from serial port**:
	* When the status bar says "waiting for reset...", try manually resetting the LaunchPad
	* Be sure the SOP pins on your LaunchPad are set to mode 010 or 100
	* Verify the COM port for your device. Go to your computer's device manager and find the XDS110 Class Application/User UART port. In the tool, go to *Options / Serial Port* to change the serial port configuration.

* The file browser is not refreshing: Verify that the LaunchPad is connected and is flashed in development mode. To learn more about development and production mode, see the [ImageCreator User's Guide](https://www.ti.com/lit/swru469).

* **FS_ERR_INVALID_SYSTEM_FILE_ACCESS**: You are likely trying to access a system file maintained by the device. To learn more about these files, see the [CC3x20, CC3x3x Network Processor Programmer's Guide](https://www.ti.com/lit/swru455).